CIF2COD(1)

NAME
cif2cod - parse a CIF file, prepare a COD database table entry from it.

SYNOPSIS
cif2cod --options input.cif inputs*.cif

DESCRIPTION
Parse a CIF file, prepare a COD database table entry from it.

OPTIONS
-C, --cod-number 1000000
                  Use the specified number, 1000000 in this example, as
                  a COD number for this structure; do not take the number
                  from the data block name.

-c, --always-continue
                  Continue processing and return successful return status
                  even if errors are diagnosed.

-c-, --always-die
                  Stop and return error status if errors are diagnosed.

-h, --print-header
                  Print header with data column names at the first line
                  for CSV output format. Default.

-h-, --no-print-header, --dont-print-header
                  Do not print column names on the first (header) line
                  for CSV output format.

-k, --keywords
                  Print values in separate lines prefixed with keywords.

--include-keywords-with-undefined-values
                  Print the keyword line with an empty value even if the
                  value is undefined.

--exclude-keywords-with-undefined-values
                  Do not print the keyword line at all if the value is
                  undefined. Default.

--use-attached-hydrogens
                  Include number of implicit hydrogen atoms, specified
                  using the _atom_site_attached_hydrogens data item, into
                  the formula sum. Default.

--no-use-attached-hydrogens,

--dont-use-attached-hydrogens,

--ignore-attached-hydrogens
                  Ignore number of implicit hydrogen atoms, specified
                  using the _atom_site_attached_hydrogens data item, in
                  calculation of the formula sum.

--reformat-space-group
                  Correct the formatting of Hermann-Mauguin space group
                  symbol.

--no-reformat-space-group,

--dont-reformat-space-group,

--leave-space-group
                  Do not correct the formatting of Hermann-Mauguin
                  space group symbol. Default.

--use-datablocks-without-coordinates,

--use-all-datablocks
                  Do not filter out data blocks without coordinates.

--no-use-datablocks-without-coordinates,

--do-not-use-datablocks-without-coordinates,

--dont-use-datablocks-without-coordinates,

--skip-datablocks-without-coordinates
                  Filter out data blocks without coordinates. Default.

--require-only-doi
                  Do not require all bibliographic details (authors,
                  journal name, title, year, volume and first page of
                  the publication) to be present if publication DOI is
                  specified.

--require-full-bibliography
                  Require author names, journal name, volume, publication
                  title, year and first page to be present. Default.

--columns file,flags,Robs

--columns "file flags Robs"
                  Print only columns specified in this option.

--validate-by-schema doc/CODDictionary.xml
                  Validate the output by supplied XML schema, where the
                  SQL data types are given in the following manner:

                  <CODDictionary>
                    <CODParameter name="file">
                      <SQLDataType>mediumint(7) unsigned</SQLDataType>
                      ...
                    </CODParameter>
                  </CODDictionary>

--continue-on-errors
                  Do not terminate script if errors are raised.

--die-on-errors,

--no-continue-on-errors,

--do-not-continue-on-errors,

--dont-continue-on-errors,

--exit-on-errors
                  Terminate script immediately if errors are raised. Default.

--continue-on-warnings
                  Do not terminate script if warnings are raised. Default.

--die-on-warnings
                  Terminate script immediately if warnings are raised.

--continue-on-notes
                  Do not terminate script if notes are raised. Default.

--die-on-notes
                  Terminate script immediately if notes are raised.

--use-perl-parser
                  Use the Perl parser for parsing CIFs.

--use-c-parser
                  Use the faster C parser for parsing CIFs. Default.

--cif-input
                  Use CIF format for input. Default.

--json-input
                  Use JSON format for input.

--help, --usage
                  Output a short usage message (this message) and exit.

--version
                  Output version information and exit.

REPORTING BUGS
Report cif2cod bugs using e-mail: cod-bugs@ibt.lt